<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <android.support.v4.view.ViewPager
        android:id="@+id/images"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginBottom="180dp"
        android:background="@mipmap/def_img2"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.android.chmo.ui.view.PageIndexView
        android:id="@+id/imgIndex"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom|center_horizontal"
        android:layout_marginBottom="30dp"
        app:layout_constraintBottom_toBottomOf="@id/images"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="40dp"
        android:layout_marginRight="17dp"
        android:gravity="right"
        android:orientation="vertical"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/status_outline" />

        <TextView
            android:id="@+id/report"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:drawableTop="@mipmap/icon_jubao_02"
            android:gravity="center"
            android:text="举报"
            android:textColor="@color/white"
            android:textSize="12sp" />


        <TextView
            android:id="@+id/shield"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:drawableTop="@mipmap/icon_pingbi"
            android:gravity="center"
            android:text="屏蔽"
            android:textColor="@color/white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/call"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:drawableTop="@mipmap/video_pay"
            android:drawablePadding="5dp"
            android:text="直呼"
            android:textColor="@color/white"
            android:textSize="14sp"
            android:visibility="gone" />
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="200dp"
        android:background="@drawable/bg_model_info_header"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="20dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/name"
                    android:layout_width="wrap_content"
                    android:layout_height="28dp"
                    android:text="夏秋雨"
                    android:textColor="#ff000000"
                    android:textSize="20sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/fansCount"
                    android:layout_width="58dp"
                    android:layout_height="17dp"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="3dp"
                    android:text="粉丝 4563"
                    android:textColor="#ff808080"
                    android:textSize="12sp" />

                <com.android.chmo.ui.view.StarView
                    android:id="@+id/star"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="4dp" />

                <TextView
                    android:id="@+id/works"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text=""
                    android:textColor="@color/white"
                    android:textSize="14sp" />
            </LinearLayout>

            <TextView
                android:id="@+id/tv_skills"
                android:layout_width="171dp"
                android:layout_height="18dp"
                android:layout_marginTop="6dp"
                android:text="节目主持 T台走秀 时装拍摄"
                android:textColor="#ffff4095"
                android:textSize="13sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:src="@mipmap/icon_shipin_caise" />

                <TextView
                    android:id="@+id/video_price"
                    android:layout_width="90dp"
                    android:layout_height="22dp"
                    android:layout_marginLeft="4dp"
                    android:text="12M币/分钟"
                    android:textColor="#ffff4095"
                    android:textSize="16sp" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/follow_btn"
            android:layout_width="60dp"
            android:layout_height="28dp"
            android:layout_alignParentTop="true"
            android:layout_alignParentRight="true"
            android:layout_marginTop="20dp"
            android:layout_marginRight="20dp"
            android:background="@drawable/bg_btn_follow_selector"
            android:gravity="center">

            <ImageView
                android:layout_width="15dp"
                android:layout_height="15dp"
                android:src="@drawable/btn_follow_icon_selector" />

            <TextView
                android:id="@+id/tv_follow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="2dp"
                android:text="关注"
                android:textColor="#ffffffff"
                android:textSize="13sp" />
        </LinearLayout>

        <com.dd.ShadowLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginLeft="12dp"
            android:layout_marginRight="12dp"
            android:layout_marginBottom="20dp"
            android:background="#ffffff"
            app:sl_cornerRadius="8dp"
            app:sl_dx="0dp"
            app:sl_dy="6dp"
            app:sl_shadowColor="#14000000"
            app:sl_shadowRadius="8dp">

            <com.google.android.flexbox.FlexboxLayout
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:background="@drawable/bg_cell"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                app:alignItems="center"
                app:flexDirection="row"
                app:justifyContent="space_between">

                <TextView
                    android:id="@+id/height"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="175cm"
                    android:textColor="@color/black"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/weight"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="50kg"
                    android:textColor="@color/black"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/three"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="90/80/91"
                    android:textColor="@color/black"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/privateZone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="查看私密空间"
                    android:textColor="@color/pink"
                    android:textSize="13sp"
                    android:textStyle="bold" />
            </com.google.android.flexbox.FlexboxLayout>

        </com.dd.ShadowLayout>
    </RelativeLayout>

</android.support.constraint.ConstraintLayout>